Retrieve a holder root CA certificate
Roles
Analytics Events
/v1/holder/certificates/ca/{certificateId}Retrieves a holder root CA certificate by ID.
Analytic events
- CREDENTIAL_HOLDER_CA_CERTIFICATE_RETRIEVE_START
- CREDENTIAL_HOLDER_CA_CERTIFICATE_RETRIEVE_SUCCESS
- CREDENTIAL_HOLDER_CA_CERTIFICATE_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the holder root CA certificate.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/holder/certificates/ca/281d20b3-42a3-40dd-b29a-115ff32b02b7"{
"id": "281d20b3-42a3-40dd-b29a-115ff32b02b7",
"active": true,
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "a3b2c1d4e5f67890a1b2c3d4e5f67890a1b2c3d4e5f67890a1b2c3d4e5f67890",
"certificateData": {
"commonName": "Example Tenant Wallet Attestation Root",
"country": "NZ",
"notBefore": "2026-04-06T00:00:00.000Z",
"notAfter": "2036-04-06T00:00:00.000Z"
},
"isManaged": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all holder root CA certificates GET
Retrieves all holder root CA certificates for the tenant. ### **Analytic events** * CREDENTIAL_HOLDER_CA_CERTIFICATE_RETRIEVE_LIST_START * CREDENTIAL_HOLDER_CA_CERTIFICATE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_HOLDER_CA_CERTIFICATE_RETRIEVE_LIST_FAIL
Update a holder root CA certificate PUT
Updates a holder root CA certificate. The only mutable field is `active`. Setting `active: true` deactivates all other roots for the tenant (single-active constraint). ### **Analytic events** * CREDENTIAL_HOLDER_CA_CERTIFICATE_UPDATE_START * CREDENTIAL_HOLDER_CA_CERTIFICATE_UPDATE_SUCCESS * CREDENTIAL_HOLDER_CA_CERTIFICATE_UPDATE_FAIL